aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorJoerg Mayer <jmayer@loplof.de>2020-05-27 14:27:19 +0200
committerJörg Mayer <jmayer@loplof.de>2020-06-13 09:22:56 +0000
commitec65f1d9e203ae0a01107941abff7e57b6b4180a (patch)
treead25db2d7d5a64235a0decb9eeabc78a70ed7a9a /tools
parent885ac0c2790b366f848604b69770e0a1c339fd08 (diff)
macos-setup.sh: Update GNUTLS, NETTLE and GMP versions
Fix patch location for non-default build directory Change-Id: I8454e77de1cec53609bd7ab7f565b06b1ad79923 Reviewed-on: https://code.wireshark.org/review/37325 Reviewed-by: Jörg Mayer <jmayer@loplof.de>
Diffstat (limited to 'tools')
-rwxr-xr-xtools/macos-setup.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/tools/macos-setup.sh b/tools/macos-setup.sh
index 2364f6a9c2..c29ecd4d66 100755
--- a/tools/macos-setup.sh
+++ b/tools/macos-setup.sh
@@ -129,7 +129,7 @@ fi
# the optional libraries are required by other optional libraries.
#
LIBSMI_VERSION=0.4.8
-GNUTLS_VERSION=3.4.17
+GNUTLS_VERSION=3.6.14
if [ "$GNUTLS_VERSION" ]; then
#
# We'll be building GnuTLS, so we may need some additional libraries.
@@ -138,12 +138,12 @@ if [ "$GNUTLS_VERSION" ]; then
#
GNUTLS_MAJOR_VERSION="`expr $GNUTLS_VERSION : '\([0-9][0-9]*\).*'`"
GNUTLS_MINOR_VERSION="`expr $GNUTLS_VERSION : '[0-9][0-9]*\.\([0-9][0-9]*\).*'`"
- NETTLE_VERSION=3.3
+ NETTLE_VERSION=3.6
#
# And, in turn, Nettle requires GMP.
#
- GMP_VERSION=6.1.2
+ GMP_VERSION=6.2.0
fi
# Use 5.2.4, not 5.3, for now; lua_bitop.c hasn't been ported to 5.3
# yet, and we need to check for compatibility issues (we'd want Lua
@@ -1139,7 +1139,7 @@ install_gnutls() {
bzcat gnutls-$GNUTLS_VERSION.tar.bz2 | tar xf - || exit 1
fi
cd gnutls-$GNUTLS_VERSION
- CFLAGS="$CFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" CXXFLAGS="$CXXFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" LDFLAGS="$LDFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" ./configure --with-included-libtasn1 --with-included-unistring --without-p11-kit || exit 1
+ CFLAGS="$CFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" CXXFLAGS="$CXXFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" LDFLAGS="$LDFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" ./configure --with-included-libtasn1 --with-included-unistring --without-p11-kit --disable-guile || exit 1
make $MAKE_BUILD_OPTS || exit 1
$DO_MAKE_INSTALL || exit 1
cd ..
@@ -1637,7 +1637,7 @@ install_spandsp() {
# by all the gcc versions in the versions of Xcode that we
# support.
#
- patch -p0 <../../macosx-support-lib-patches/spandsp-configure-patch || exit 1
+ patch -p0 <${topdir}/macosx-support-lib-patches/spandsp-configure-patch || exit 1
CFLAGS="$CFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" CXXFLAGS="$CXXFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" LDFLAGS="$LDFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" ./configure || exit 1
make $MAKE_BUILD_OPTS || exit 1
$DO_MAKE_INSTALL || exit 1